Hugin - Panorama Tools GUI

OSX 10.5 Leopard can't stitch

Reported by A K on 2011-01-04
72
This bug affects 13 people
Affects Status Importance Assigned to Milestone
Hugin
Critical
Unassigned

Bug Description

I am using Hugin 2010.4.10 on Mac OS 10.5.8.

I am unable to stitch panoramas using either the assistant "Create Panorama" button, or the "Stitch now..." button in the stitcher tab. I have successfully loaded 3 images, and used the auto align button in the assistant tab to align them (and could see in a preview window that they were indeed loaded and aligned and cropped successfully). However, when I try to create a panorama in either of the two ways, I get a error dialogue that says "Error during stitching", and the following in the message log:

echo: write: Bad file descriptor
gnumake: *** [info] Error 1

This is the entire message log.

I get this error no matter what format I try to save the file as (tiff, png, jpg) and no matter what filename I attempt to give it.

Am I doing something obviously wrong?

Tags: osx Edit Tag help
A K (akeshet) wrote :

I am attaching the log file.

David Haberthür (habi) wrote :

What are the filenames of the original files? Do they contain special characters (Umlauts or spaces)?

They are P1000810.jpg, P1000811,jpg, and P1000812.jpg

On Tue, Jan 4, 2011 at 3:22 AM, David Haberthür
<email address hidden>wrote:

> What are the filenames of the original files? Do they contain special
> characters (Umlauts or spaces)?
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/697039
>
> Title:
> Error during stitching
>
> Status in Hugin - Panorama Tools GUI:
> New
>
> Bug description:
> I am using Hugin 2010.4.10 on Mac OS 10.5.8.
>
> I am unable to stitch panoramas using either the assistant "Create
> Panorama" button, or the "Stitch now..." button in the stitcher tab. I have
> successfully loaded 3 images, and used the auto align button in the
> assistant tab to align them (and could see in a preview window that they
> were indeed loaded and aligned and cropped successfully). However, when I
> try to create a panorama in either of the two ways, I get a error dialogue
> that says "Error during stitching", and the following in the message log:
>
> echo: write: Bad file descriptor
> gnumake: *** [info] Error 1
>
>
> This is the entire message log.
>
> I get this error no matter what format I try to save the file as (tiff,
> png, jpg) and no matter what filename I attempt to give it.
>
> Am I doing something obviously wrong?
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/hugin/+bug/697039/+subscribe
>

They are P1000810.jpg, P1000811,jpg, and P1000812.jpg

DSB (dsbow) wrote :

I have seen the same error on MAC OS. Image names were similar (only text.jpg) I have an older version of HUGIN that works great - new version works until try to stitch and save.

MCE (mau-castro) wrote :

I think I found the problem.

Hugin is not determining correctly the OS directory separator. He is using '-' instead of '/'

I think that is the case because all the default file names that it propose are wrong.

MCE (mau-castro) wrote :

INcorrectly

typo :)

Chase (chase-cheviron) wrote :

I am receiving the same error. Have tried changing save file location, file names, etc. Same error no matter what I choose.

Same problem here. MacOS X 10.5.8 running on a dual processor G5. It worked fine until I upgraded from 2010.0.0 to 2010.4.0 today.

michele (mff202) wrote :

Same problem here. MacOS X 10.5.8. HELP

echo: write: Bad file descriptor
gnumake: *** [info] Error 1

zarl (carl-einem) wrote :

2010.4.0-beta2 works on my Macs (10.4, 10.6).

- Does it help to "Load Defaults" (in Preferences)?

- How do you add images to the project? Drag and drop from the Finder, Drag and drop from a different application (which one)? Load via Assistant or...?

- Did you save the project prior to stitching?

zarl (carl-einem) wrote :

Sorry, it's the latest stable version I tested (2010.4.0), no beta...

- I did "Load Defaults" in all of the preference panes. It didn't help.

- I add images using the "Load images" button in the Assistant.

- I didn't save the project before stitching. I'll try that. If that helps, I'll post another comment here.

- Saving the project before stitching didn't help.

- I also tried specifying a Temporary dir in the preferences (rather than leave it blank for the system default), but that didn't help.

Hello, thank you for helping.

I did the load preferences you suggested but same error.

I tried hugin-mac-2010.5.0-4805_a75c9fef69ff and get same error.

Images loaded via assistant.

I saved project before stitching, yes.

---
Michele F. Saliola
<email address hidden>
Mobile: 845.304.5518

----- Original Message -----
From: zarl <email address hidden>
Date: Friday, January 7, 2011 3:26 pm
Subject: [Bug 697039] Re: Error during stitching
To: <email address hidden>

> 2010.4.0-beta2 works on my Macs (10.4, 10.6).
>
> - Does it help to "Load Defaults" (in Preferences)?
>
> - How do you add images to the project? Drag and drop from the Finder,
> Drag and drop from a different application (which one)? Load via
> Assistant or...?
>
> - Did you save the project prior to stitching?
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/697039
>
> Title:
> Error during stitching
>
> Status in Hugin - Panorama Tools GUI:
> New
>
> Bug description:
> I am using Hugin 2010.4.10 on Mac OS 10.5.8.
>
> I am unable to stitch panoramas using either the assistant "Create
> Panorama" button, or the "Stitch now..." button in the stitcher tab. I
> have successfully loaded 3 images, and used the auto align button in
> the assistant tab to align them (and could see in a preview window
> that they were indeed loaded and aligned and cropped successfully).
> However, when I try to create a panorama in either of the two ways, I
> get a error dialogue that says "Error during stitching", and the
> following in the message log:
>
> echo: write: Bad file descriptor
> gnumake: *** [info] Error 1
>
>
> This is the entire message log.
>
> I get this error no matter what format I try to save the file as
> (tiff, png, jpg) and no matter what filename I attempt to give it.
>
> Am I doing something obviously wrong?
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/hugin/+bug/697039/+subscribe

Same problem here:
LOG:
echo: write: Bad file descriptor
gnumake: *** [info] Error 1

Regardless of:
- File extension given / or wo file extension
- Manually navigate to path
- resetting to defaults
- saving/loading project
etc.

So unfortunately Hugin 2010.4.0 is unusable ... :(
System: Mac OS X 10.5.8 on 2.8 GHz Intel Core 2 Duo / 4GB RAM

Best regards, TOBi

Yuv (yuv) wrote :

Can any of you reporter please:
- save the project
- attach the .pto and .pto.mk files to this ticket?

When you have attached the files, hit the yellow button next to the ticket status and set it to New again.

Thanks, Yuv

Changed in hugin:
status: New → Incomplete
Yuv (yuv) on 2011-01-10
tags: added: osx
TORO (drakk) wrote :

Hi Yuv,

pls. find attached a project (.pto) file.
I do not know how to generate the pto.mk, sorry.

Best regards, TOBi

Changed in hugin:
status: Incomplete → New

On January 10, 2011 02:38:52 am TORO wrote:
> pls. find attached a project (.pto) file.

thanks, TOBi. The .pto looks fine. The .pto.mk is where there may be a hint
to what's going on.

> I do not know how to generate the pto.mk, sorry.

Hugin generates it automatically in the same folder as the .pto file when it
saves the project. At least on Linux and Windows. Can you find it?

 status incomplete

Changed in hugin:
status: New → Incomplete

Yuv,
I searched for pto.mk and only found 5 files from 2007. I looks like the Mac OS X version doesn't save the makefile in the project directory, maybe in the temp directory.

TORO (drakk) wrote :

@Yuv & zarl:
1) I saved a project named 'blork2' -> results in a 'blork2.pto'
2) I did a 'find / -name "blork2*" -print' as root in a shell on my machine (helpful, that OSX is a UNIX - somehow...)

=> Unfortunately it seems that there's no other file than 'blork2.pto' on my machine.

Is it possible that the Mac OS X version doesn't save the pto.mk file at all?

Best regards, TOBi

TORO (drakk) wrote :

Is there something like a '--debug' switch/option for hugin to generate a log during operation?

TORO (drakk) wrote :

Is there anything in addition I can do from my side to support the solving of this bug?

Yuv (yuv) wrote :

I am afraid you are right and the OSX versions no longer keep the .mk files stored. It must however generate one to run the stitching process. Can you "intercept" it if/when it is generated? maybe in some temp folder? and save a copy of it?

Last but not least, can you try with the most recent version from http://panorama.dyndns.org/ ?

I think I have seen some reports about bad file name stuff being solved by most recent versions.

Sorry I can't be of more help, I don't run OSX, and I currently don't have much spare time for Hugin in general.

Good Luck
Yuv

TORO (drakk) wrote :

Hi,
I just tried hugin-mac-2010.5.0-4886_a1cb4a2efa65 - no success. The error is still there :(
I have no idea where to intercept the .mk files. If they're really generated (i doubt this at the moment) and persist only a few seconds I see few chances for fetching them.
As I am no programmer, It would be useful to know where to look at.
For the time beeing I'll revert to 2010.2

TORO (drakk) wrote :

Addendum:
I checked for the temporary folder using 'env'.
During operation $TMPDIR holds only the huginpto_xxxxxx files.
Best regards, TOBi

Yuv (yuv) wrote :

Hi TOBi,

there should be a folder with some random name inside $TMPDIR - that's where Hugin stores the currently used .pto.mk file during the stitching process.

alternatively, you can save the .pto file, then run pto2mk to generate the Makefile.

zarl (carl-einem) wrote :

I think I just found a way to save the makefile: instead of stitching directly from within hugin save the project, load it into ptbatchergui [1], tick "Verbose output" and run the project. A window with the "Panorama makefile generated by Hugin" opens. Select the text and copy with Apple-C (the menu command seems to be missing) and paste it into a text editor window (or a new comment in this bug tracker).

[1] http://sourceforge.net/projects/hugin/files/hugin/hugin-2010.4/

On February 5, 2011 11:15:48 am zarl wrote:
> I think I just found a way to save the makefile

Thank you.

> ... paste it into a
> text editor window (or a new comment in this bug tracker).

please save it as a text file and attach it to the bug tracker rather than
pasting it into the comment window. Copy&pasting into the web form may break
line ending and do other unwanted things to the information. On the other
hand, an attached file preserves the information and is easier to handle down
the road.

Yuv

Hi Yuv/zarl,

I generated the makefile using pto2mk.
I tried verbose PTBatcherGUI also but the window closes immediately after the run w/o chance to c'n'p the text within.

Best regards, TOBi

Nathaniel (nathaniel-ng) wrote :

Hi, I encountered the same problem (I am using Mac OS X Leopard) but found a workaround here:

http://groups.google.com/group/hugin-ptx/browse_thread/thread/b18eaae2c7e21a80

Workaround:
1. save the .pto file in Hugin
2. open the .pto file in PTBatcherGUI (File / Add Project / select .pto file) and click the run button.

TORO (drakk) wrote :

@Nathaniel
This is, as you said, just a workaround.
The problem has to be fixed in Hugin itself.
For me a two program approach is not suitable (althought I tried it) as the workflow is broken.

BTW: nice discussion ongoingin the http://groups.google.com/group/hugin-ptx/browse_thread/thread/b18eaae2c7e21a80 I wonder why these people do not post here?

Yuv (yuv) wrote :

Hi TOBi

does the project stitch with the Makefile generated with pto2mk?
can you post the generated Makefile, please?

TORO (drakk) wrote :

Hi Yuv,
Makefile was already posted 2011-02-05.

I cannot tell wether its working or not, as unfortunately no 'make' is installed on my OSX (skipped the developer tools install).
Project is stitching fine using PTBatcherGui which uses the .pto, I guess.
I have no idea how to go on here.

Hi TOBi

On February 23, 2011 02:55:04 pm TORO wrote:
> Makefile was already posted 2011-02-05.

sorry I did not notice it. I am not as active on the tracker as I'd like to
be these days...

> I cannot tell wether its working or not, as unfortunately no 'make' is
> installed on my OSX (skipped the developer tools install). Project is
> stitching fine using PTBatcherGui which uses the .pto, I guess. I have no
> idea how to go on here.

I am not sure about the details of the Hugin OSX bundle, but if you stitch a
project with PTBatcherGui or with Hugin, there is a version of make installed
on your machine. Problably inside the bundle itself.

I'll have a look at the uploaded Makefile and comment again if I find
something unusual / worth commenting. If PTBatcherGui stitches the project
fine, I suspect the Makefile will be OK too and the bug is somewhere else.
And I am at loss at guessing where...

Yuv

TORO, please use the workaround as this seems to be a specific problem on OS X 10.5. Note that the current bundles are built on a 10.6 system and for some yet unknown reason these builts work also on 10.4 but not on 10.5.

Your other options at this point would be IMHO to either upgrade to 10.6 (if you are on Intel), set up a 10.4 partition (if on PPC), or build yourself: http://wiki.panotools.org/Hugin_Compiling_OSX

TORO (drakk) wrote :

Hi Zarl,

I'm not intending to upgrade OSX for a single application.
I compiled Hugin yesterday evening according to the guide on panotools but bottom line is that I now have a nicely compiled Hugin.app that after hours of struggling with the compile process, crashes imediately at startup. :(
I'll downgrade to 2010.2
2010.4+ remain unusable for me for the time being.
Best regards, TOBi

Yuv (yuv) wrote :

Hi TOBi,

I appreciate the effort you are making to compile Hugin and I am sorry that 2010.4+ remains unusable for you for the time being. Is there anything I can do to help you identifying the problem on OSX 10.5?

Do you have a traceback of the crash at startup? Did you follow the instructions linked by Carl? Or have you tried http://wiki.panotools.org/Build_a_MacOSX_Universal_Hugin_bundle_with_Xcode ?

I would recommend going with the Universal Hugin bundle linked above (and when your compiled version works it can be distributed to other 10.5 users).

I understand your reluctance to upgrade system for a single app. It's a can of worm. I have similar situations quite regularly with Kubuntu. New O/S releases every six months and most apps don't provide backports for older O/S versions. Although upgrading Free software does not cost money, it does cost time and potentially lost productivity that are a number of magnitude more valuable than the cost of an O/S license.

zarl (carl-einem) wrote :

Please just use the workaround as described earlier then. It's simple. I tested it on my OS X 10.5 on a different partition and it works. BTW I still do most of my work on 10.4 so I understand the decision to keep a working 'playground' well enough.

You can search the mailing list for Harry's postings about the problem: his own hugin builds currently just don't work on 10.5, we have to live with it, it's a "won't fix" if you yourself aren't able to compile a working build yourself.

Again: this only affects 10.5, not 10.4 nor 10.6.

You are free to follow the workaround I hinted to on 2011-02-05 in this very same thread, i.e. use ptbatchergui. What's the problem about using ptbatchergui?

Yuv (yuv) on 2011-03-01
summary: - Error during stitching
+ OSX 10.5 Leopard can't stitch
Changed in hugin:
importance: Undecided → Critical
TORO (drakk) wrote :

Hi Zarl & Yuv,
thanx for the advice! I'll stick to the workaround with ptbatchergui for the time being.
XCode compilation resulted in a desaster :( May be I'm not talented...
Best regards,
TOBi

hvdwolf (hvdwolf) wrote :

Tobi (TORO) already mentioned the thread <http://groups.google.com/group/hugin-ptx/browse_thread/thread/b18eaae2c7e21a80?pli=1>.
There it is mentioned that it might be an issue with the shell being used.

I assumed that bash was the shell used by all Leopard users and this was backed up by one user who tested my request (to do a set | grep SHELL wich resulted in a SHELL=/bin/bash ).
Today I got a offline message of a user who mentioned that his Leopard uses the tcsh shell.

Can we somehow create a patch that forces the the shell to be bash in the Makefile (at least for OSX). I already created myself a patch that did write to the makefile a:
1) #!/bin/bash as first line
2) write a line SHELL=/bin/bash in the "Tool configuration" section
3) did both 1) and 2)

These options didn't seem to work, but I'm not a programmer and could be doing it completely wrong. I would appreciate it if a programmer could have a look at it.

However, I'm also looking into another direction now (4): On OSX we bundle gnumake inside the bundle as we are dealing with different sets of make on OSX. Could it be neccessary to write a patch to both the makefile and the code for the OSX bundle to add a line to the "Tool configuration" section:
make=<path>/gnumake (identical to enblend/enfuse/PT*), so that Hugin knows which (gnu)make to use. I can add this line to the makefile, but I have no idea how it is called from hugin and at which positions. I'm afraid a programmer needs to do this (please).

So concluding:
Are 1), 2), 3) worth looking into?
Is (4) and option?

hvdwolf (hvdwolf) wrote :

To further test I changed my shell from bash, to tcsh and then to sh (all 3 are different binaries on OSX. No symlinks).
Hugin simply does it's work for me on 10.6.

Yuv (yuv) on 2011-03-20
Changed in hugin:
status: Incomplete → Triaged
SBR (s-besemer) wrote :

Dear all,
I have exactly the same problem and don't want to upgrade to 10.6 or do a workaround. Hugin was working fine with the previous version. Could I download the previous version somewhere? That would be awesome!
Thanks in advance for your reply,
Sytske

TORO (drakk) wrote :

I checked v2011 beta3 + PTbatcherGUI v2011 beta2.
Still the same error (makefile) but workaround with PTbatcherGui via "send to batchjob" from within Hugin works fine for me.
Regards, Tobi
P.S.: I'm still on Leopard 10.5.8 ;)

hvdwolf (hvdwolf) wrote :

Status update:
After some week of testing (off maillist converation) we still don't have a solution. This weekend 26/27 March I don't have time to work on it. The solution itself might take 2 days or 2 weeks.
If you want to progress with the RC candidates, please do.

On March 26, 2011 03:48:39 AM hvdwolf wrote:
> If you want to progress with the RC candidates, please do.

Thanks for the status update. There are a couple of other show stoppers. I
will likely release a beta4 rather than an RC. Not sure it will happen today.

sean (sasebastian) wrote :

I am using OSX 10.6.7 and am having the same issue. Has nothing to do with the file names as I have changed them to ones with no spaces or characters other than letters. I get Error 1, error during stitching.

Yuv (yuv) wrote :

I have seen a 2011.0.1 release for Mac OS X. I have not followed the details of the discussion. Does it fix the bug? Can we close the ticket? Or does the bug still affect 2011.2 beta ?

TORO (drakk) wrote :

Hi Yuv,
today I tested the 2011.1.0.5322 from http://panorama.dyndns.org/index.php?lang=NL&subject=Hugin&texttag=Hugin
It results in an error in case you try to hit the "stitch" button or to hit button #3 in the "assistant" tab:
>Process: open [792]
>Path: /Applications/Hugin/Hugin.app/Contents/MacOS/open
>Identifier: open
>Version: ??? (???)
>Code Type: X86-64 (Native)
>Parent Process: Hugin [775]
>
>Interval Since Last Report: 347 sec
>Crashes Since Last Report: 1
>Per-App Interval Since Last Report: 0 sec
>Per-App Crashes Since Last Report: 1
>
>Date/Time: 2011-06-21 16:58:49.142 +0200
>OS Version: Mac OS X 10.5.8 (9L30)
>Report Version: 6
>
>Exception Type: EXC_BREAKPOINT (SIGTRAP)
>Exception Codes: 0x0000000000000002, 0x0000000000000000
>Crashed Thread: 0
>
>Dyld Error Message:
> unknown required load command 0x80000022

PTBatcherGui works, though.
I cannot tell about the 2011.2 beta as I don't see it.
Best regards, TOBi

TORO (drakk) wrote :

Hi Yuv,

today I tested the 2011.1.0.5322 -> build 2 (on Mac OS X 10.5.8)
Works like charm!
The problems with the "open" are gone.

Best regards, TOBi

Yuv (yuv) wrote :

can somebody with detailed knowledge of the issue set the status to "Fix Committed" (hit the yellow round button next to the current status) when you deem the issue to be closed?
thanks
Yuv

Changed in hugin:
status: Triaged → In Progress
tmodes (tmodes) wrote :

No more comments ;-) So assuming it is fixed.

Changed in hugin:
status: In Progress → Fix Committed
Matt Manternach (mmmanternach) wrote :

Sorry. Yes I have not had any problems. I did have a partitioned external HD
for a boot up that I was unable to delete. Any thoughts? After loading
Lion, I wanted a clean start on the boot drive.

M
On Sep 13, 2011 12:17 PM, "tmodes" <email address hidden> wrote:
> No more comments ;-) So assuming it is fixed.
>
> ** Changed in: hugin
> Status: In Progress => Fix Committed
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (788643).
> https://bugs.launchpad.net/bugs/697039
>
> Title:
> OSX 10.5 Leopard can't stitch
>
> Status in Hugin - Panorama Tools GUI:
> Fix Committed
>
> Bug description:
> I am using Hugin 2010.4.10 on Mac OS 10.5.8.
>
> I am unable to stitch panoramas using either the assistant "Create
> Panorama" button, or the "Stitch now..." button in the stitcher tab. I
> have successfully loaded 3 images, and used the auto align button in
> the assistant tab to align them (and could see in a preview window
> that they were indeed loaded and aligned and cropped successfully).
> However, when I try to create a panorama in either of the two ways, I
> get a error dialogue that says "Error during stitching", and the
> following in the message log:
>
> echo: write: Bad file descriptor
> gnumake: *** [info] Error 1
>
>
> This is the entire message log.
>
> I get this error no matter what format I try to save the file as
> (tiff, png, jpg) and no matter what filename I attempt to give it.
>
> Am I doing something obviously wrong?
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/hugin/+bug/697039/+subscriptions

Matt Manternach (mmmanternach) wrote :

Disregard. Response was for another email. Sorry.

M
On Sep 13, 2011 12:17 PM, "tmodes" <email address hidden> wrote:
> No more comments ;-) So assuming it is fixed.
>
> ** Changed in: hugin
> Status: In Progress => Fix Committed
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (788643).
> https://bugs.launchpad.net/bugs/697039
>
> Title:
> OSX 10.5 Leopard can't stitch
>
> Status in Hugin - Panorama Tools GUI:
> Fix Committed
>
> Bug description:
> I am using Hugin 2010.4.10 on Mac OS 10.5.8.
>
> I am unable to stitch panoramas using either the assistant "Create
> Panorama" button, or the "Stitch now..." button in the stitcher tab. I
> have successfully loaded 3 images, and used the auto align button in
> the assistant tab to align them (and could see in a preview window
> that they were indeed loaded and aligned and cropped successfully).
> However, when I try to create a panorama in either of the two ways, I
> get a error dialogue that says "Error during stitching", and the
> following in the message log:
>
> echo: write: Bad file descriptor
> gnumake: *** [info] Error 1
>
>
> This is the entire message log.
>
> I get this error no matter what format I try to save the file as
> (tiff, png, jpg) and no matter what filename I attempt to give it.
>
> Am I doing something obviously wrong?
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/hugin/+bug/697039/+subscriptions

tmodes (tmodes) on 2011-09-15
Changed in hugin:
milestone: none → 2011.2rc5
tmodes (tmodes) on 2011-09-18
Changed in hugin:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions